Bug 111342

Summary: table element may get larger when its contents are recreated
Product: WebKit Reporter: Michael Spang <spang>
Component: Layout and RenderingAssignee: Robert Hogan <robert>
Status: RESOLVED FIXED    
Severity: Normal CC: buildbot, commit-queue, eric, esprehn+autocc, jchaffraix, ojan.autocc, rniwa, robert, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Linux   
Attachments:
Description Flags
html demonstrating the bug
none
Patch
none
Archive of layout-test-results from webkit-ews-14 for mac-mountainlion-wk2
none
Archive of layout-test-results from webkit-ews-16 for mac-mountainlion-wk2
none
Patch
none
Archive of layout-test-results from webkit-ews-13 for mac-mountainlion-wk2
none
Patch
none
Archive of layout-test-results from webkit-ews-14 for mac-mountainlion-wk2
none
Patch none

Description Michael Spang 2013-03-04 09:53:53 PST
I have some JS code that populates a table element. Every time this function runs, the table gets a few pixels taller despite equivalent contents.

HTML file to demonstrate this is attached.
Comment 1 Michael Spang 2013-03-04 09:55:29 PST
Created attachment 191263 [details]
html demonstrating the bug
Comment 2 Robert Hogan 2013-03-31 04:11:43 PDT
This extra height that keeps accumulating is the vertical border-spacing.
Comment 3 Robert Hogan 2013-04-01 05:02:17 PDT
Created attachment 195958 [details]
Patch
Comment 4 Build Bot 2013-04-01 08:10:04 PDT
Comment on attachment 195958 [details]
Patch

Attachment 195958 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-commit-queue.appspot.com/results/17387119

New failing tests:
fast/table/anonymous-table-section-removed.html
fast/text/emphasis-height-crash.html
Comment 5 Build Bot 2013-04-01 08:10:05 PDT
Created attachment 195971 [details]
Archive of layout-test-results from webkit-ews-14 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-14  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.2
Comment 6 Build Bot 2013-04-01 09:04:11 PDT
Comment on attachment 195958 [details]
Patch

Attachment 195958 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-commit-queue.appspot.com/results/17305473

New failing tests:
fast/table/anonymous-table-section-removed.html
fast/text/emphasis-height-crash.html
Comment 7 Build Bot 2013-04-01 09:04:14 PDT
Created attachment 195979 [details]
Archive of layout-test-results from webkit-ews-16 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-16  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.2
Comment 8 Darin Adler 2013-04-01 09:11:00 PDT
Comment on attachment 195958 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=195958&action=review

> LayoutTests/fast/table/anonymous-table-section-removed-expected.txt:2
> +PASS

check-layout.js is annoyingly terse; sure would be nice to say more than just PASS

> LayoutTests/fast/table/anonymous-table-section-removed.html:9
> +        document.body.offsetHeight;

Irritating that we don’t have a more natural way to force layout. I know we rely on this a lot in tons of tests, but I’d rather have it be through a function so we can fix it in one place if we have to. Some day we might want to optimize calls to get property values that don’t examine the function result ;-)

> LayoutTests/fast/table/anonymous-table-section-removed.html:14
> +    checkLayout('table')

A little strange to omit the semicolon here.
Comment 9 Robert Hogan 2013-04-07 03:41:41 PDT
Created attachment 196775 [details]
Patch
Comment 10 Build Bot 2013-04-07 04:44:35 PDT
Comment on attachment 196775 [details]
Patch

Attachment 196775 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-commit-queue.appspot.com/results/17525675

New failing tests:
fast/table/anonymous-table-section-removed.html
Comment 11 Build Bot 2013-04-07 04:44:37 PDT
Created attachment 196778 [details]
Archive of layout-test-results from webkit-ews-13 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-13  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.2
Comment 12 Robert Hogan 2013-04-07 05:05:21 PDT
Created attachment 196781 [details]
Patch
Comment 13 Build Bot 2013-04-07 05:52:55 PDT
Comment on attachment 196781 [details]
Patch

Attachment 196781 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-commit-queue.appspot.com/results/17526651

New failing tests:
fast/table/anonymous-table-section-removed.html
fast/repaint/japanese-rl-selection-repaint-in-regions.html
Comment 14 Build Bot 2013-04-07 05:52:57 PDT
Created attachment 196784 [details]
Archive of layout-test-results from webkit-ews-14 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-14  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.2
Comment 15 Robert Hogan 2013-04-07 08:20:57 PDT
Created attachment 196788 [details]
Patch
Comment 16 WebKit Commit Bot 2013-04-07 11:36:09 PDT
Comment on attachment 196788 [details]
Patch

Clearing flags on attachment: 196788

Committed r147871: <http://trac.webkit.org/changeset/147871>
Comment 17 WebKit Commit Bot 2013-04-07 11:36:11 PDT
All reviewed patches have been landed.  Closing bug.
Comment 18 Eric Seidel (no email) 2013-04-09 01:51:29 PDT
Very exciting!  Thank you!